﻿using Microsoft.EntityFrameworkCore;
using TravelCompanyDatabaseImplement.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TravelCompanyDatabaseImplement
{
    public class TravelCompanyDatabase : DbContext
    {
        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {
            if (optionsBuilder.IsConfigured == false)
            {
                optionsBuilder.UseSqlServer(@"Data Source=DESKTOP-EJNKGL2;Initial Catalog= TravelCompanyDatabase;Integrated Security=True;MultipleActiveResultSets=True;;TrustServerCertificate=True");
            }
            base.OnConfiguring(optionsBuilder);
        }
        public virtual DbSet<Excursion> Excursions { set; get; }
        public virtual DbSet<Place> Places { set; get; }
        public virtual DbSet<Travel> Travels { set; get; }
        public virtual DbSet<Tourist> Tourists { set; get; }
        public virtual DbSet<ExcursionTravel> ExcursionTravels { set; get; }
        public virtual DbSet<Tour> Tours { set; get; }
        public virtual DbSet<TourTravel> TourTravels { set; get; }
    }
}
